//+------------------------------------------------------------------+
//|                                                    i_MACD_v1.mq4 |
//|                      Copyright  2009, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2009, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_chart_window

extern string timeFrame     = "M15";
extern int    FastEMA       = 6;
extern int    SlowEMA       = 13;
extern int    SignalSMA     =  4;
extern int    applied_price =  6;
extern bool   Histogram     = true;


//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {

   ObjectCreate("ExtMapBuffer2",OBJ_LABEL,0,0,0);
   ObjectSet("ExtMapBuffer2",OBJPROP_CORNER,1);   
   ObjectSet("ExtMapBuffer2",OBJPROP_XDISTANCE,15);
   ObjectSet("ExtMapBuffer2",OBJPROP_YDISTANCE,15);

 
   ObjectCreate("ExtMapBuffer2_1",OBJ_LABEL,0,0,0);
   ObjectSet("ExtMapBuffer2_1",OBJPROP_CORNER,1);   
   ObjectSet("ExtMapBuffer2_1",OBJPROP_XDISTANCE,16);
   ObjectSet("ExtMapBuffer2_1",OBJPROP_YDISTANCE,30);

   
   ObjectCreate("ExtMapBuffer3",OBJ_LABEL,0,0,0);
   ObjectSet("ExtMapBuffer3",OBJPROP_CORNER,1);   
   ObjectSet("ExtMapBuffer3",OBJPROP_XDISTANCE,16);
   ObjectSet("ExtMapBuffer3",OBJPROP_YDISTANCE,45);

   ObjectCreate("ExtMapBuffer3_1",OBJ_LABEL,0,0,0);
   ObjectSet("ExtMapBuffer3_1",OBJPROP_CORNER,1);   
   ObjectSet("ExtMapBuffer3_1",OBJPROP_XDISTANCE,16);
   ObjectSet("ExtMapBuffer3_1",OBJPROP_YDISTANCE,60);

   
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   ObjectDelete("ExtMapBuffer2");
   ObjectDelete("ExtMapBuffer2_1");
   ObjectDelete("ExtMapBuffer3");
   ObjectDelete("ExtMapBuffer3_1");
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
   int  i,limit;
   double Buffer1,Buffer2,Buffer3;
   double Buffer4,Buffer5,Buffer6;
   
   if(counted_bars<0) return(0);
   if(counted_bars>0)
   
   limit=Bars-counted_bars;
   
   for(i = limit; i >= 0; i--)
   
   Buffer1=iCustom(NULL,0,"@Ratio_MACD_v1",timeFrame,FastEMA,SlowEMA,SignalSMA,applied_price, 1, 0); //ExtMapBuffer2
   Buffer2=iCustom(NULL,0,"@Ratio_MACD_v1",timeFrame,FastEMA,SlowEMA,SignalSMA,applied_price, 1, 1); //ExtMapBuffer2_1 
   Buffer3=iCustom(NULL,0,"@Ratio_MACD_v1",timeFrame,FastEMA,SlowEMA,SignalSMA,applied_price, 2, 0); //ExtMapBuffer3
   Buffer4=iCustom(NULL,0,"@Ratio_MACD_v1",timeFrame,FastEMA,SlowEMA,SignalSMA,applied_price, 2, 1); //ExtMapBuffer3_1

   
   ObjectSetText("ExtMapBuffer2","ExtMapBuffer2      "+(Buffer1),10,"Times New Roman",Orange);
   ObjectSetText("ExtMapBuffer2_1","ExtMapBuffer2_1      "+(Buffer2),10,"Times New Roman",Orange);
   ObjectSetText("ExtMapBuffer3","ExtMapBuffer3   "+(Buffer3),10,"Times New Roman",Orange);
   ObjectSetText("ExtMapBuffer3_1","ExtMapBuffer3_1   "+(Buffer4),10,"Times New Roman",Orange);

//----
   return(0);
  }
//+------------------------------------------------------------------+

